/*
    Created by Quo
*/
 

-- GREECE

-- Hoplites
-- Create a new ability that damages melee units


-- Is this a melee unit we are attacking?
INSERT INTO Requirements
	(RequirementId, 	RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_OPPONENT_MELEE', 	'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_OPPONENT_MELEE',	'UnitPromotionClass',	'ARGTYPE_IDENTITY',	'PROMOTION_CLASS_MELEE',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 	RequirementSetType)
VALUES 	('QUO_REQSET_OPPONENT_MELEE', 'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_OPPONENT_MELEE', 'QUO_REQ_OPPONENT_MELEE') ;


-- The modifier
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_ANTI_MELEE', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, 'QUO_REQSET_OPPONENT_MELEE') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_MOD_ANTI_MELEE', 		'Amount', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;


-- Create the ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABI_ANTI_MELEE',		'KIND_ABILITY'	) ;


INSERT INTO UnitAbilities
	(UnitAbilityType, 	Name, 				Description, 					Inactive)
VALUES 	('QUO_ABI_ANTI_MELEE', 	'QUO_LOC_ABI_ANTI_MELEE',	'QUO_LOC_ABILITY_ANTI_CAVALRY_DESCRIPTION', 	0) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 	ModifierId)
VALUES 	('QUO_ABI_ANTI_MELEE',	'QUO_MOD_ANTI_MELEE') ;	 



-- Tie the ability to the unit
INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABI_ANTI_MELEE', 			'CLASS_HOPLITE') ;



-- Add a string to describe the ability in combat previews
INSERT INTO ModifierStrings
	(ModifierId, 		Context, Text)
VALUES	('QUO_MOD_ANTI_MELEE', 'Preview', 'QUO_LOC_ABILITY_ANTI_MELEE_MODIFIER_DESCRIPTION') ;



-- NORWAY
-- Norway now builds Stave Churches (temple replacement) in the city center, without needing a Holy District. Prereq is now the Monument.

UPDATE Buildings SET PrereqDistrict='DISTRICT_CITY_CENTER' WHERE BuildingType='BUILDING_STAVE_CHURCH' ;

UPDATE BuildingPrereqs SET PrereqBuilding='BUILDING_MONUMENT' WHERE Building='BUILDING_STAVE_CHURCH' ;

-- Update the Stave Church so the extra faith is derived from the city center rather than Holy district
UPDATE ModifierArguments SET Value='DISTRICT_CITY_CENTER' WHERE Name='DistrictType' AND ModifierId='STAVE_CHURCH_FAITHWOODSADJACENCY' ;



-- Increased pillage 
-- Coded out for now for balance reasons
/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_NORWAY_PILLAGE', 'MODIFIER_PLAYER_ADJUST_IMPROVEMENT_PILLAGE', 0, 0, NULL, NULL),
	('QUO_NORWAY_PILLAGE_DIST', 'MODIFIER_PLAYER_ADJUST_DISTRICT_PILLAGE', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_NORWAY_PILLAGE', 		'Amount', 	'ARGTYPE_IDENTITY', 	'2',		-1, 	NULL) , 
	('QUO_NORWAY_PILLAGE_DIST', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',		-1, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_MELEE_COASTAL_RAIDS',	'QUO_NORWAY_PILLAGE'),
	('TRAIT_LEADER_MELEE_COASTAL_RAIDS',	'QUO_NORWAY_PILLAGE_DIST') ;
*/



-- AMERICA

-- Lower the cost of purchasing tiles

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'MODIFIER_PLAYER_CITIES_ADJUST_PLOT_PURCHASE_COST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'Amount', 	'ARGTYPE_IDENTITY', 	'-20',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',	'QUO_AMERICA_PLOTPURCHASECOST') ;





-- Give American units extra vision


-- Types and tag types to tell us which units will eventually get this ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABILITY_EXTRA_VISION',	'KIND_ABILITY'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RECON'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_MELEE'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_SIEGE'),
 	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_HEAVY_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_ANTI_CAVALRY') ;
 



-- the vision modifier itself, including the amount of the bonus
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_SPYGLASS', 		'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT', 	0, 		0, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SPYGLASS', 		'Amount', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ;





-- the ability containing the vision modifier
INSERT INTO UnitAbilities
	(UnitAbilityType,		Name,				Description,			Inactive)
VALUES	('QUO_ABILITY_EXTRA_VISION',	'QUO_LOC_EXTRA_VISION',		'QUO_LOC_EXTRA_VISION_DESC',	"1"	) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 			ModifierId)
VALUES 	('QUO_ABILITY_EXTRA_VISION', 		'QUO_SPYGLASS');




-- Associate the new ability with America
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AMERICA_ABILITY', 	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 	0, 		1, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_ABILITY', 	'AbilityType', 	'ARGTYPE_IDENTITY', 	'QUO_ABILITY_EXTRA_VISION',	NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',		'QUO_AMERICA_ABILITY') ;
	





-- EGYPT

-- This was an attempt to give Egypt a discount on Builders, but it does not work, so coded out
/*INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_EGYPT_BUILDERPRODUCTION', 'MODIFIER_PLAYER_UNITS_ADJUST_UNIT_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_EGYPT_BUILDERPRODUCTION', 'UnitType', 	'ARGTYPE_IDENTITY', 	'UNIT_BUILDER',	NULL, 	NULL), 
	('QUO_EGYPT_BUILDERPRODUCTION', 'Amount', 	'ARGTYPE_IDENTITY', 	'20',		NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_ITERU',	'QUO_EGYPT_BUILDERPRODUCTION') ;
*/



-- Increase the bonus for building on a river
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_DISTRICT' AND Name='Amount' ;
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_WONDER' AND Name='Amount' ;





-- Update the Chariot Archer so that it can move and attack, like a Cossack

INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_EGYPT_CHARIOT',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('UNIT_EGYPTIAN_CHARIOT_ARCHER', 	'QUO_CLASS_EGYPT_CHARIOT') ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('ABILITY_COSSACK', 			'QUO_CLASS_EGYPT_CHARIOT') ;


-- Lower its attack power because otherwise it is way too strong
UPDATE Units SET Combat='15', RangedCombat='23' WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER' ;



-- FRANCE

-- CHATEAU: Change pre-req civic to Drama and Poetry. +1 Housing. Tourism bonus now unlocks with Humanism.
UPDATE Improvements SET PrereqCivic='CIVIC_DRAMA_POETRY', Housing='1' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;


UPDATE Improvement_Tourism SET PREREQTECH=NULL, PREREQCIVIC='CIVIC_HUMANISM' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;



-- Make the Chateau a Culture Bomb

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_FRANCE_CULTURE_BOMB', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,			Type, 			Value,			Extra)
VALUES	('QUO_FRANCE_CULTURE_BOMB', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_CHATEAU',	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_CIVILIZATION_WONDER_TOURISM',	'QUO_FRANCE_CULTURE_BOMB') ;





-- SPAIN

-- MISSION: Make this unlock earlier. Now buildable on forest or jungle. Science bonus now starts at 1 and improves by 1 at the respective tech
UPDATE Improvements SET PrereqCivic='CIVIC_THEOLOGY' WHERE ImprovementType='IMPROVEMENT_MISSION' ;

UPDATE Improvement_BonusYieldChanges SET BonusYieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType='YIELD_SCIENCE' ;
UPDATE Improvement_YieldChanges SET YieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType = 'YIELD_SCIENCE' ;


INSERT INTO Improvement_ValidFeatures
	(	ImprovementType, 	FeatureType)  	
VALUES	(	'IMPROVEMENT_MISSION', 	'FEATURE_FOREST') ,
	(	'IMPROVEMENT_MISSION',	'FEATURE_JUNGLE') ;


-- Give Spain a discount on Holy districts
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_EL_ESCORIAL',	'TRAIT_BOOST_HOLY_SITE_PRODUCTION') ;






-- ATTITUDES

-- Pedro
-- Lower his hatred for players with more Great People.
UPDATE ModifierArguments SET Value='-1' WHERE ModifierId='AGENDA_MODIFIER_LEADS_GREAT_PEOPLE' AND Name='InitialValue' ; 


-- Saladin (and Philip?)
-- Lower his hatred for rival religions.
UPDATE ModifierArguments SET Value='-3' WHERE ModifierId='AGENDA_MODIFIER_ENCROACHING_RELIGION' AND Name='InitialValue' ; 


-- Mvemba
-- Lower his anger over not receiving player's religion.
UPDATE ModifierArguments SET Value='-2' WHERE ModifierId='AGENDA_MODIFIER_RELIGION_NOT_RECEIVED' AND Name='InitialValue' ; 


-- Pericles
-- Lower his anger from competing with him for a city state.
UPDATE ModifierArguments SET Value='-2' WHERE ModifierId='AGENDA_MODIFIER_DELIAN_COMPETING_MINORS' AND Name='InitialValue' ; 


-- Make the extremes of the Exploration random agenda less ridiculous since player nearly always violates this
UPDATE ModifierArguments SET Value='-2' WHERE ModifierID= 'AGENDA_HIGH_EXPLORATION' AND Name='InitialValue' ;
UPDATE ModifierArguments SET Value='2' WHERE ModifierID= 'AGENDA_LOW_EXPLORATION' AND Name='InitialValue' ;


-- Lower anger from different governments for Ideologues 
UPDATE ModifierArguments SET Value='-2' WHERE ModifierID='AGENDA_DIFFERENT_GOVERNMENT' AND Name='InitialValue' ;


-- Lower all whining about troops near borders
UPDATE ModifierArguments SET Value='-1' WHERE ModifierID= 'STANDARD_DIPLOMATIC_NEAR_BORDER_WARNING' AND Name='ReductionValue' ;
UPDATE ModifierArguments SET Value='0' WHERE ModifierID= 'STANDARD_DIPLOMATIC_NEAR_BORDER_WARNING' AND Name='InitialValue' ;
UPDATE ModifierArguments SET Value='1' WHERE ModifierID= 'STANDARD_DIPLOMATIC_NEAR_BORDER_WARNING' AND Name='ReductionTurns' ;


-- Make first impressions decay faster
UPDATE ModifierArguments SET Value='-1' WHERE ModifierID= 'STANDARD_DIPLOMACY_RANDOM' AND Name='ReductionValue' ;
UPDATE ModifierArguments SET Value='5' WHERE ModifierID= 'STANDARD_DIPLOMACY_RANDOM' AND Name='ReductionTurns' ;


-- Make breaking a promise less punishing
UPDATE ModifierArguments SET Value='5' WHERE ModifierID= 'STANDARD_DIPLOMACY_RANDOM' AND Name='ReductionTurns' ;
UPDATE ModifierArguments SET Value='-1' WHERE ModifierID= 'STANDARD_DIPLOMACY_RANDOM' AND Name='ReductionValue' ;
UPDATE ModifierArguments SET Value='-2' WHERE ModifierID= 'STANDARD_DIPLOMACY_RANDOM' AND Name='ModifierPerTransgression' ;


-- Remove all bitching about rival governments until the final 3
-- Note that the line below zeroes out ALL intolerance, even from mods that add new governments
UPDATE Governments SET OtherGovernmentIntolerance='0' ; 

UPDATE Governments SET OtherGovernmentIntolerance='-5' WHERE GovernmentType='GOVERNMENT_FASCISM' ;
UPDATE Governments SET OtherGovernmentIntolerance='-6' WHERE GovernmentType='GOVERNMENT_COMMUNISM' ;
UPDATE Governments SET OtherGovernmentIntolerance='-3' WHERE GovernmentType='GOVERNMENT_DEMOCRACY' ;
